| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFPropertyMap_V2 Class Referenceabstract

`#include <AAX_IACFPropertyMap.h>`

Inheritance diagram for AAX_IACFPropertyMap_V2:
[legend]
Collaboration diagram for AAX_IACFPropertyMap_V2:
[legend]

## Description

Versioned interface for an AAX_IPropertyMap.

## Public Member Functions
virtual AAX_Result | AddPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad *inPluginIDs, uint32_t inNumPluginIDs)=0
| Add an array of plug-in IDs to a property map.
virtual AAX_CBoolean | GetPropertyWithIDArray (AAX_EProperty inProperty, const AAX_SPlugInIdentifierTriad **outPluginIDs, uint32_t *outNumPluginIDs) const =0
| Get an array of plug-in IDs from a property map.
Public Member Functions inherited from AAX_IACFPropertyMap
virtual AAX_CBoolean | GetProperty (AAX_EProperty inProperty, AAX_CPropertyValue *outValue) const =0
| Get a property value from a property map.
virtual AAX_Result | AddProperty (AAX_EProperty inProperty, AAX_CPropertyValue inValue)=0
| Add a property to a property map.
virtual AAX_Result | RemoveProperty (AAX_EProperty inProperty)=0
| Remove a property from a property map.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ AddPropertyWithIDArray()

virtual AAX_Result AAX_IACFPropertyMap_V2::AddPropertyWithIDArray | ( | AAX_EProperty | inProperty,
|  | const AAX_SPlugInIdentifierTriad * | inPluginIDs,
|  | uint32_t | inNumPluginIDs
| ) |  |
| pure virtual

Add an array of plug-in IDs to a property map.

Parameters

  [in] | inProperty | The property ID.
  [in] | inPluginIDs | An array of AAX_SPlugInIdentifierTriad
  [in] | inNumPluginIDs | The length of `iPluginIDs`

## ◆ GetPropertyWithIDArray()

virtual AAX_CBoolean AAX_IACFPropertyMap_V2::GetPropertyWithIDArray | ( | AAX_EProperty | inProperty,
|  | const AAX_SPlugInIdentifierTriad ** | outPluginIDs,
|  | uint32_t * | outNumPluginIDs
| ) |  | const
| pure virtual

Get an array of plug-in IDs from a property map.

Parameters

  [in] | inProperty | The property ID.
  [out] | outPluginIDs | A pointer that will be set to reference an array of AAX_SPlugInIdentifierTriad
  [in] | outNumPluginIDs | The length of `oPluginIDs`

The documentation for this class was generated from the following file:

- AAX_IACFPropertyMap.h